--
-- $Id$
--
-- Voorloopnullen toevoegen als de gebouw code maar 4 posities is..

DEFINE thisfile = 'YKPN#53182.sql'
DEFINE dbuser   = '^YKPN'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

BEGIN
    fac.initsession ('NL');
END;
/


UPDATE ykpn_toegang_saldo
   SET alg_gebouw_code = '0' || alg_gebouw_code
 WHERE LENGTH (alg_gebouw_code) = 4;

-- Doordat het juiste gebouw niet gevonden kon worden zijn ook het aantal werkplekken niet ingevuld.
UPDATE ykpn_toegang_saldo s
   SET aantal_wp =
           (SELECT alg_onrgoedkenmerk_waarde
              FROM alg_onrgoedkenmerk aog, alg_gebouw g
             WHERE     aog.alg_kenmerk_key = 1100
                   AND aog.alg_onrgoed_key = g.alg_gebouw_key
                   AND g.alg_gebouw_code = s.alg_gebouw_code)
 WHERE s.aantal_wp IS NULL;

-- En dan klopt de bezetting natuuurlijk ook niet
UPDATE ykpn_toegang_saldo
   SET bezetting = ROUND ((saldo / aantal_wp) * 100)
 WHERE bezetting IS NULL AND aantal_wp IS NOT NULL;


------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile


